Skip to main content
POST
/
imports
/
self-imports
/
text-review
cURL
curl --request POST \
  --url https://api.feedspace.io/v3/imports/self-imports/text-review \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: multipart/form-data' \
  --form customer_avatar='@example-file' \
  --form 'customer_name=<string>' \
  --form customer_email=jsmith@example.com \
  --form 'customer_designation=<string>' \
  --form 'customer_company=<string>' \
  --form 'customer_company_url=<string>' \
  --form customer_company_logo='@example-file' \
  --form rating=3 \
  --form 'review_url=<string>' \
  --form 'review=<string>' \
  --form review_at=2023-12-25 \
  --form website_logo='@example-file' \
  --form 'attachments[]=<string>' \
  --form attachments[].0='@example-file' \
  --form attachments[].1='@example-file'
{
  "data": {
    "project_id": 5020,
    "social_platform_id": 46,
    "source": "Manual Text Review",
    "extra_details": "{\"customer_name\":\"User\",\"customer_email\":\"developer@feedspace.io\",\"customer_designation\":\"Engineer\",\"customer_company\":\"Feedspace\",\"rating\":\"5\",\"review_url\":\"https:\\/\\/www.feedspace.io\\/\",\"review\":\"Excellent Digital Product. They create client testimonial videos and interview the clients from the comfort of their own homes.\",\"fs_workspace_id\":\"workspace_XFNj94dgkDhc6lc5rsjF66nr\",\"fs_original_workspace_id\":5020,\"search\":\"Manual Text Review\"}",
    "is_feed_imported": 1,
    "user_id": 7243,
    "created_by": 7243,
    "updated_at": "2025-06-11T07:31:49.000000Z",
    "created_at": "2025-06-11T07:31:44.000000Z",
    "id": 4066,
    "user": {
      "id": 7243,
      "unique_user_id": "zhBU6t",
      "appsumo_uuid": null,
      "name": "User",
      "email": "developer@feedspace.io",
      "email_verified_at": null,
      "referred_by": "0",
      "payment_email": null,
      "provider": null,
      "provider_id": null,
      "plan_id": null,
      "beta_user": 0,
      "is_verified_account": 1,
      "is_blocked": 0,
      "ip_address": "49.36.88.114",
      "created_at": "2025-04-04T11:52:43.000000Z",
      "updated_at": "2025-04-04T11:52:43.000000Z"
    },
    "social_platform": {
      "id": 46,
      "slug": "manual_text_review",
      "name": "Manual Text Review",
      "url": null,
      "icon_url": "/assets/img/social-icons/v2/manual_text_review_icon.svg",
      "review_type": 1,
      "auto_sync_status": 0,
      "created_at": "2025-04-22T07:49:08.000000Z",
      "updated_at": "2025-04-22T07:49:08.000000Z",
      "icon_full_url": "https://static.feedspace.io/assets/img/social-icons/v2/manual_text_review_icon.svg"
    },
    "social_feeds": [
      {
        "id": 176111,
        "unique_feedback_id": "WjOvsE",
        "user_id": 7243,
        "project_id": 5020,
        "social_platform_id": 46,
        "social_feed_source_id": 4066,
        "import_scheduler_id": null,
        "feed_type": "manual_text",
        "review_id": "xqr1lB",
        "review": "Excellent Digital Product. They create client testimonial videos and interview the clients from the comfort of their own homes.",
        "review_title": null,
        "review_url": "https://www.feedspace.io/",
        "review_website_logo": "uploads/zhBU6t/manual_text_review-reviews/manual_text_review-review-author-profile-L036-1749627109.jpg",
        "rating": 5,
        "rating_type": 1,
        "is_rating_display": 1,
        "customer_name": "User",
        "customer_email": "developer@feedspace.io",
        "customer_company": "Feedspace",
        "customer_designation": "Engineer",
        "customer_avatar": null,
        "review_at": "2025-06-11 07:31:44",
        "extra_details": "{\"customer_name\":\"User\",\"customer_email\":\"developer@feedspace.io\",\"customer_designation\":\"Engineer\",\"customer_company\":\"Feedspace\",\"rating\":\"5\",\"review_url\":\"https:\\/\\/www.feedspace.io\\/\",\"review\":\"Excellent Digital Product. They create client testimonial videos and interview the clients from the comfort of their own homes.\",\"fs_workspace_id\":\"workspace_XFNj94dgkDhc6lc5rsjF66nr\",\"fs_original_workspace_id\":5020,\"search\":\"Manual Text Review\"}",
        "favourite": 0,
        "sentiment_id": null,
        "review_submitted_at": "2025-06-11 07:31:44",
        "created_by": 7243,
        "deleted_at": null,
        "created_at": "2025-06-11T07:31:44.000000Z",
        "updated_at": "2025-06-11T07:31:49.000000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).

Body

multipart/form-data

Request body for importing a text review manually. All fields are optional, but at least one of the following must be provided: rating, review, or attachments.

customer_avatar
file

Customer avatar image (optional). Allowed formats: jpeg, png, jpg, gif, svg, webp, bmp, avif. Max size: 15 MB

customer_name
string

Customer name (optional)

customer_email
string<email>

Customer email (optional, must be valid email format)

customer_designation
string

Customer designation/job title (optional)

customer_company
string

Customer company name (optional)

customer_company_url
string<uri>

Customer company website URL (optional)

Customer company logo image (optional). Allowed formats: jpeg, png, jpg, gif, svg, webp, bmp, avif. Max size: 15 MB

rating
integer

Rating value (1 = lowest, 5 = highest). Optional, but at least one of rating, review, or attachments must be provided

Required range: 1 <= x <= 5
review_url
string<uri>

Review source URL (optional)

review
string

Review text content (optional, but at least one of rating, review, or attachments must be provided)

review_at
string<date>

Date when the review was submitted (YYYY-MM-DD format, optional)

Website logo image (optional). Allowed formats: jpeg, png, jpg, gif, svg, webp, bmp, avif. Max size: 15 MB

attachments[]
file | null

Attachment images (optional, but at least one of rating, review, or attachments must be provided). Allowed formats: jpeg, png, jpg, gif, svg, webp, bmp, avif. Max size: 15 MB per file

Response

200 - application/json

Text review imported successfully.

The response is of type object.